FramedFeature (BioJava-1.5-beta API)
Keywords: org.biojava.bio.seq.FramedFeature interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.seq
Interface FramedFeature

All Superinterfaces:
  Annotatable, Changeable, Feature, FeatureHolder, StrandedFeature

All Known Implementing Classes:
  SimpleFramedFeature

    public interface FramedFeature

extends StrandedFeature

Title: FramedFeature.

Description: An feature that includes the concept of frame by extending stranded.

Copyright: Copyright (c) 2001

Version:
  1.0
Author:
  Mark Schreiber

Nested Class Summary
`static class` | `FramedFeature.ReadingFrame` A singleton to hold the frame information
`static class` | `FramedFeature.Template`

Nested classes/interfaces inherited from interface org.biojava.bio.seq.StrandedFeature
`StrandedFeature.Strand`

Nested classes/interfaces inherited from interface org.biojava.bio.seq.Feature
`Feature.ByLocationComparator`

Nested classes/interfaces inherited from interface org.biojava.bio.seq.FeatureHolder
`FeatureHolder.EmptyFeatureHolder`

Nested classes/interfaces inherited from interface org.biojava.bio.Annotatable
`Annotatable.AnnotationForwarder`

Field Summary
`static FramedFeature.ReadingFrame` | `FRAME_0`
`static FramedFeature.ReadingFrame` | `FRAME_1`
`static FramedFeature.ReadingFrame` | `FRAME_2`

Fields inherited from interface org.biojava.bio.seq.StrandedFeature
`NEGATIVE, POSITIVE, STRAND, UNKNOWN`

Fields inherited from interface org.biojava.bio.seq.Feature
`byLocationOrder, LOCATION, PROPERTY_DATA_KEY, SOURCE, SOURCETERM, TYPE, TYPETERM`

Fields inherited from interface org.biojava.bio.seq.FeatureHolder
`EMPTY_FEATURE_HOLDER, FEATURES, SCHEMA`

Fields inherited from interface org.biojava.bio.Annotatable
`ANNOTATION`

Method Summary
`FramedFeature.ReadingFrame` | `getReadingFrame()` return the reading frame of the feature.
`StrandedFeature.Strand` | `getStrand()` Retrieve the strand that this feature lies upon.

Methods inherited from interface org.biojava.bio.seq.StrandedFeature
`getSymbols, setStrand`

Methods inherited from interface org.biojava.bio.seq.Feature
`features, getLocation, getParent, getSequence, getSource, getSourceTerm, getType, getTypeTerm, makeTemplate, setLocation, setSource, setSourceTerm, setType, setTypeTerm`

Methods inherited from interface org.biojava.bio.seq.FeatureHolder
`containsFeature, countFeatures, createFeature, filter, filter, getSchema, removeFeature`

Methods inherited from interface org.biojava.utils.Changeable
`addChangeListener, addChangeListener, isUnchanging, removeChangeListener, removeChangeListener`

Methods inherited from interface org.biojava.bio.Annotatable
`getAnnotation`

Methods inherited from interface org.biojava.utils.Changeable
`addChangeListener, addChangeListener, isUnchanging, removeChangeListener, removeChangeListener`

Field Detail

### FRAME_0

    static final FramedFeature.ReadingFrame FRAME_0

### FRAME_1

    static final FramedFeature.ReadingFrame FRAME_1

### FRAME_2

    static final FramedFeature.ReadingFrame FRAME_2

Method Detail

### getReadingFrame

    FramedFeature.ReadingFrame getReadingFrame()

  return the reading frame of the feature.

### getStrand

    StrandedFeature.Strand getStrand()

  Description copied from interface: `StrandedFeature`
  Retrieve the strand that this feature lies upon.

  This will be one of StrandedFeature.POSITIVE or NEGATIVE.

  Specified by:
    `getStrand` in interface `StrandedFeature`
  Returns:
    the Strand that the feature is found on

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD